<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:tei="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <!-- 
        Zielformat:
        
        "Name","Address","Description","Longitude","Latitude"
        "Dresden","Dresden","","13.73836","51.049259"
        "Leipzig","Leipzig","","12.37475","51.340333"
        "Breitenfelde","Breitenfelde","","10.633333","53.6"
        "Köln","Köln","","6.956944","50.938056"
        "Brandenburg an der Havel","Brandenburg an der Havel","","12.563056","52.408889"
        ...
     -->
    
    <!-- auf plaintext-Ausgabe umschalten, kein XML-Header, keine automatische Einrückung -->
    <xsl:output method="text" omit-xml-declaration="yes" indent="no"/>
    
    <xsl:variable name="separator" select="'&quot;,&quot;'" /> <!-- entspricht: "," -->
    <xsl:variable name="newline" select="'&#10;'" /> <!-- neue Zeile -->
        
    <xsl:template match="tei:geo">
        <xsl:value-of select="string-join(reverse(tokenize(., '°?,?\s')), $separator)" />
    </xsl:template>
    
    <xsl:template match="/">
        <xsl:text>"Name","Address","Description","Longitude","Latitude"</xsl:text>
        <xsl:value-of select="$newline" />
        <xsl:for-each select=".//tei:place[matches(tei:location/tei:geo, '-?\d+\.?\d*°?,? -?\d\.?\d*')]">
            <xsl:text>&quot;</xsl:text>
            <xsl:value-of select="(./tei:placeName[lang('de')], ./tei:placeName)[1]" />
            <xsl:value-of select="$separator" />
            <xsl:value-of select="(./tei:placeName[lang('de')], ./tei:placeName)[1]" />
            
            <xsl:value-of select="$separator" />
            <xsl:value-of select="$separator" />
            
            <xsl:apply-templates select="./tei:location/tei:geo"></xsl:apply-templates>
            
            <xsl:text>&quot;</xsl:text>
            <xsl:value-of select="$newline" />
        </xsl:for-each>
    </xsl:template>
    
</xsl:stylesheet>